# msdfgen-builder

Dockerised MSDF generator

## What?

This repository proivdes an isolated build of msdfgen that you can `COPY` in another dockerfile, saving you build time.

x84 and arm64 builds are provided seperatly - specify `-arm64` at the end of the image tag to get the arm64 build, or use `:arm64` as the whole tag
for the arm64 version of `:latest`

## Usage

### From the command line

You can use the docker image to run msdfgen locally without installing / buildling all of the dependencies. The base command is:

```
TODO
```

But it's recommended to add an alias to your environment, so that you can run the command more easily. Something like:

```
ALIAS msdfgen="TODO"
```

### In a Dockerfile

You can copy the binary into your dockerfile for easy usage. Just import it at the top with an alias, and you can later `COPY` from it:

```Dockerfile
FROM TODO as msdfgen
FROM debian

COPY --from=msdfgen /usr/bin/msdfgen /usr/bin/msdfgen
RUN msdfgen --my --args
```